# Functions

## `mt_mem_alloc(size)`

Allocates size bytes.

This is a debugging function for simulating memory leaks or stressing the memory allocator. It should not be used in production setups

### `men_alloc` usage

    ...
    mem_alloc(1048576); # 1MB
    ...

## `mt_mem_free()`

Frees all the memory allocated with mem_alloc() up to this point.

This is a debugging function for simulating memory leaks or stressing the memory allocator. It should not be used in production setups

### `mem_free` usage

    ...
    mem_free();
    ...